# Copyright 2020 Google LLC
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     https://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
from setuptools import setup, find_packages

setup(
    name='iptime',
    version_format='{tag}.dev{commitcount}+{gitsha}',
    setup_requires=['setuptools-git-version'],
    url='https://juju.nz/src/michaelh/wordclock',
    author='Michael Hope',
    author_email='michaelh@juju.nz',
    description='Word clock services',
    packages=find_packages(),
    install_requires=[
        'Flask>=1.1.1',
        'prometheus-flask-exporter>=0.12.1',
        'astral>=1.7.1',
        'python-dateutil>=2.7.5',
        'python-geoip-geolite2-yplan',
        'python-geoip-python3>=1.3',
        'requests>=2.21',
    ],
)
