# Copyright 2020 Google LLC
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     https://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
import random
import time

import utime


def monotonic() -> float:
    return utime.ticks_ms() * 1e-3


def sleep(secs: float) -> None:
    utime.sleep_ms(int(secs * 1e3))


def randint(start: int, limit: int) -> int:
    return start + random.getrandbits(30) % (limit - start + 1)
